Package org.bgerp.plugin.svc.log.dao

# Class ActionLogDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.PeriodicDAO
org.bgerp.plugin.svc.log.dao.ActionLogDAO

public class ActionLogDAO extends PeriodicDAO
DAO for adding action log records and fluent search.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.PeriodicDAO

  `EXISTING_TABLES`

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActionLogDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `search(Pageable<ActionLogEntry> result)`
  `void`
  `update(ActionLogEntry entry)`
  `ActionLogDAO`
  `withActions(Set<String> value)`
  Sets actions filter.
  `ActionLogDAO`
  `withIpAddress(String value)`
  Sets IP address filter.
  `ActionLogDAO`
  `withParameter(String value)`
  `ActionLogDAO`
  `withTimeFrom(Date value)`
  `ActionLogDAO`
  `withTimeTo(Date value)`
  `ActionLogDAO`
  `withUserIds(Set<Integer> value)`
  Sets user IDs filter.

  ### Methods inherited from class ru.bgcrm.dao.PeriodicDAO

  `checkAndCreateMonthTable, getMonthTableName, tableExists`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ActionLogDAO

    public ActionLogDAO(Connection con)

- ## Method Details

  - ### update

    public void update(ActionLogEntry entry) throws SQLException
    Throws:
      `SQLException`

  - ### withTimeFrom

    public ActionLogDAO withTimeFrom(Date value)

  - ### withTimeTo

    public ActionLogDAO withTimeTo(Date value)

  - ### withUserIds

    public ActionLogDAO withUserIds(Set<Integer> value)
    Sets user IDs filter.
    Parameters:
      `value` - user IDs.
    Returns:

  - ### withIpAddress

    public ActionLogDAO withIpAddress(String value)
    Sets IP address filter.
    Parameters:
      `value` - user IP.
    Returns:

  - ### withActions

    public ActionLogDAO withActions(Set<String> value)
    Sets actions filter.
    Parameters:
      `value` - semicolon separated strings with action class and method names.
    Returns:

  - ### withParameter

    public ActionLogDAO withParameter(String value)

  - ### search

    public void search(Pageable<ActionLogEntry> result) throws SQLException
    Throws:
      `SQLException`